summaryrefslogtreecommitdiffstats
path: root/init.d
diff options
context:
space:
mode:
authorncopa <ncopa@f176ef85-8d20-0410-844a-e957b5a1c371>2007-10-18 08:14:15 +0000
committerncopa <ncopa@f176ef85-8d20-0410-844a-e957b5a1c371>2007-10-18 08:14:15 +0000
commite4d47d5b5819d2ab06b26584186b92fcbf2aa4bf (patch)
treeca7269ecf988049e6531450c632ecb9b8edd8080 /init.d
parent2dc4deb41f2e0a3b318af7c5e90299baf0033146 (diff)
downloadalpine-baselayout-e4d47d5b5819d2ab06b26584186b92fcbf2aa4bf.tar.bz2
alpine-baselayout-e4d47d5b5819d2ab06b26584186b92fcbf2aa4bf.tar.xz
if more than one apkovl exist, dont read any
Diffstat (limited to 'init.d')
-rwxr-xr-xinit.d/runtimes5
1 files changed, 2 insertions, 3 deletions
diff --git a/init.d/runtimes b/init.d/runtimes
index ffacd63..055f1ac 100755
--- a/init.d/runtimes
+++ b/init.d/runtimes
@@ -63,9 +63,8 @@ find_ovl() {
lines=$(echo "$ovl" | wc -l)
if [ $lines -gt 1 ] ; then
- # output the last line only
- ovl=$(echo "$ovl" | tail -n 1)
- echo "Warning: more than one apkovl file was found. Only $ovl will be used." >&2
+ echo "ERROR: More than one apkovl file was found on $(basename $mnt). None will be read." >&2
+ exit 1
fi
echo "$ovl"
}